ros-jazzy-geometric-shapes (2.3.1-1bookworm) bookworm; urgency=high

  * Fix dependency handling (#256 <https://github.com/ros-planning/geometric_shapes/issues/256>)
    Declare fcl, qhull, and assimp as non-transitive, build-only dependencies. They are not exposed in headers.
  * Contributors: Martin Pecka

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 05 Dec 2024 16:00:00 -0000

ros-jazzy-geometric-shapes (2.3.0-1bookworm) bookworm; urgency=high

  * Install headers into subdirectory (#253 <https://github.com/moveit/geometric_shapes/issues/253>)
  * Added bodies::Body::computeBoundingBox (oriented box version) (#239 <https://github.com/moveit/geometric_shapes/issues/239>)
  * Improve padding of meshes using weighted vertex normals (#240 <https://github.com/moveit/geometric_shapes/issues/240>)
  * Contributors: Kenji Brameld (TRACLabs), Robert Haschke, Sebastian Castro, Sebastian Pelletier, Tyler Mayoff

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 28 Nov 2024 16:00:00 -0000

ros-jazzy-geometric-shapes (2.2.1-1bookworm) bookworm; urgency=high

  * Use the system version of octomap (#244 <https://github.com/ros-planning/geometric_shapes/issues/244>)
  * Contributors: Chris Lalancette

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 25 Jun 2024 16:00:00 -0000

ros-jazzy-geometric-shapes (2.2.0-1bookworm) bookworm; urgency=high

  * Jazzy Support (#241 <https://github.com/moveit/geometric_shapes/issues/241>)
    * Update CI workflows to Rolling, Jazzy, Humble
    * Fix octomap dependency version to 1.9.7...<1.10.0
  * Fix Box::print (#237 <https://github.com/moveit/geometric_shapes/issues/237>)
  * CI: Fix cache key (#236 <https://github.com/moveit/geometric_shapes/issues/236>)
  * Switch to clang-format-14 (#228 <https://github.com/moveit/geometric_shapes/issues/228>)
  * Add humble testing (#221 <https://github.com/moveit/geometric_shapes/issues/221>)
  * Update black version (#218 <https://github.com/moveit/geometric_shapes/issues/218>)
  * Contributors: Henning Kayser, Matthijs van der Burgh, Stephanie Eng, Vatan Aksoy Tezer, Robert Haschke, Jafar Abdi

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 06 Jun 2024 16:00:00 -0000

ros-jazzy-geometric-shapes (2.1.3-1bookworm) bookworm; urgency=high

  * [jammy] Fix assimp linking and cmake error (#215 <https://github.com/ros-planning/geometric_shapes/issues/215>)
  * Contributors: Vatan Aksoy Tezer

 -- Tyler Weaver <tyler@picknik.ai>  Mon, 07 Mar 2022 16:00:00 -0000

ros-jazzy-geometric-shapes (2.1.2-1bookworm) bookworm; urgency=high

  * Fix cmake such that Boost::filesystem is exported properly (#206 <https://github.com/ros-planning/geometric_shapes/issues/206>)
    Co-authored-by: Jordan Lack <mailto:jlack@houstonmechatronics.com>
  * Contributors: Jafar Abdi

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 21 Dec 2021 16:00:00 -0000

ros-jazzy-geometric-shapes (2.1.1-1bookworm) bookworm; urgency=high

  * Changed retriever.h to retriever.hpp in mesh_operations.cpp in order to align with resource_retriever ros2 branch (#200 <https://github.com/ros-planning/geometric_shapes/issues/200>)
  * Add Copyright and LICENSE files
  * Fix building on Windows with MSVC (#189 <https://github.com/ros-planning/geometric_shapes/issues/189>)
  * Contributors: Akash, Diego Rojas, Mark Moll, Tyler Weaver, Vatan Aksoy Tezer

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 26 Sep 2021 16:00:00 -0000

ros-jazzy-geometric-shapes (2.1.0-1bookworm) bookworm; urgency=high

  * Add Galactic CI, cleanup rolling (#190 <https://github.com/ros-planning/geometric_shapes/issues/190>)
  * Sync ros2 branch with noetic-devel up to d147f03 <https://github.com/ros-planning/geometric_shapes/commit/d147f0371afbece0b8c93a2d2d55149a284d5192> (#190 <https://github.com/ros-planning/geometric_shapes/issues/190>)
  * Contributors: Jafar Abdi, Henning Kayser, Vatan Aksoy Tezer

 -- Tyler Weaver <tyler@picknik.ai>  Mon, 14 Jun 2021 16:00:00 -0000

ros-jazzy-geometric-shapes (2.0.2-1bookworm) bookworm; urgency=high

  * Declare assimp add qhull as SYSTEM dependency to suppress compiler warnings (#186 <https://github.com/ros-planning/geometric_shapes/issues/186>)
  * Fix export depends (#182 <https://github.com/ros-planning/geometric_shapes/issues/182>)
  * Add rolling to CI test (#179 <https://github.com/ros-planning/geometric_shapes/issues/179>)
  * Contributors: Jafar Abdi, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Fri, 21 May 2021 16:00:00 -0000

ros-jazzy-geometric-shapes (2.0.1-1bookworm) bookworm; urgency=high

  * Set target compile options in cmake for warnings
  * [fix] cmake install command (#164 <https://github.com/ros-planning/geometric_shapes/issues/164>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 08 Apr 2021 16:00:00 -0000

ros-jazzy-geometric-shapes (2.0.0-1bookworm) bookworm; urgency=high

  * [maint] Travis: Disable warnings as gcc warns about redundant declarations in qhull includes
  * [maint] Inherit package VERSION (for library soname) from package.xml
  * [maint] Trim boost dependencies #156 <https://github.com/ros-planning/geometric_shapes/issues/156>
    * libboost-math libraries unnecessary as only headers-only parts are used
    * move author tags below to comply with the xsd
  * [maint] Compile on ROS2 Foxy (#153 <https://github.com/ros-planning/geometric_shapes/issues/153>)
    * Suppress assimp CMP0012 policy warning
    * Use console_bridge_vendor dependency wrapper
    * Fix CMakeLists issues:remove ASSIMP export dependency
    
    fix linking of OCTOMAP, resource_retriever
  * [maint] Resolve octomap dependency with rosdep (#124 <https://github.com/ros-planning/geometric_shapes/issues/124>)
  * [maint] struct SolidPrimitiveDimCount -> function solidPrimitiveDimCount() (#121 <https://github.com/ros-planning/geometric_shapes/issues/121>)
  * [ros2-migration] Port to ROS 2 (#122 <https://github.com/ros-planning/geometric_shapes/issues/122>)
    * Migrate CMakeLists.txt, package.xml, messages
    * Enable Travis: Run on ROS 2, enable ament_lint_cmake
  * Contributors: Henning Kayser, Mikael Arguedas, Robert Haschke, Víctor Mayoral Vilches

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 19 Nov 2020 16:00:00 -0000

ros-jazzy-geometric-shapes (0.7.2-1bookworm) bookworm; urgency=high

  * [maint] Renamed SolidPrimitiveDimCount<shape>::value -> solidPrimitiveDimCount<shape>() (#121 <https://github.com/ros-planning/geometric_shapes/issues/121>)
  * [maint] cmake: Consistently use uppercase letters for QHULL dependency
  * [maint] cmake: Fix assimp warning
  * [maint] Update build badges for Noetic
  * Contributors: Robert Haschke

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 24 Sep 2020 16:00:00 -0000

ros-jazzy-geometric-shapes (0.7.1-1bookworm) bookworm; urgency=high

  * [maint] Declare external includes as SYSTEM includes
  * [maint] Migration to reentrant qhull (#149 <https://github.com/ros-planning/geometric_shapes/issues/149>)
  * [maint] Use soname version for library (#157 <https://github.com/ros-planning/geometric_shapes/issues/157>)
  * Contributors: Jochen Sprickerhof, Robert Haschke, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 30 Aug 2020 16:00:00 -0000

ros-jazzy-geometric-shapes (0.7.0-1bookworm) bookworm; urgency=high

  * [feature] Added constructShapeFromBody() and constructMarkerFromBody() (#138 <https://github.com/ros-planning/geometric_shapes/issues/138>)
  * [maint]   API cleanup
    * Improve inlining
    * ConvexMesh::MeshData as pimpl
    * Reverted ABI compatibility fixups for Melodic: ed4cf1339cf3765ae9ffa6e6fd111a4e342c5fa2, d582479084a10cac53a7f17e29818b3d8be6161e
  * Contributors: Martin Pecka, Robert Haschke

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 24 May 2020 16:00:00 -0000

ros-jazzy-geometric-shapes (0.6.3-1bookworm) bookworm; urgency=high

  * [maint]   Provide checkIsometry() helper function (#144 <https://github.com/ros-planning/geometric_shapes/issues/144>)
  * [maint]   Remove dynamic casts (#143 <https://github.com/ros-planning/geometric_shapes/issues/143>)
  * [feature] Added createEmptyBodyFromShapeType() (#137 <https://github.com/ros-planning/geometric_shapes/issues/137>)
    This allows more efficient body construction when scale, padding or pose should also be set during the construction.
  * Contributors: Martin Pecka, Michael Görner

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 24 May 2020 16:00:00 -0000

ros-jazzy-geometric-shapes (0.6.2-1bookworm) bookworm; urgency=high

  * [maint]   clang-tidy fixes in headers (#139 <https://github.com/ros-planning/geometric_shapes/issues/139>)
  * [fix]     Various fixes + performance improvements (#109 <https://github.com/ros-planning/geometric_shapes/issues/109>, #126 <https://github.com/ros-planning/geometric_shapes/issues/126>, #107 <https://github.com/ros-planning/geometric_shapes/issues/107>, #108 <https://github.com/ros-planning/geometric_shapes/issues/108>)
    * Use Eigen::Isometry3d::linear() instead of rotation()
    * Normalize the direction vector passed to Body::intersectsRay() (#115 <https://github.com/ros-planning/geometric_shapes/issues/115>)
    * Improved test coverage
  * [feature] Added support for non-uniform scaling and padding of shapes. (#103 <https://github.com/ros-planning/geometric_shapes/issues/103>)
  * [maint]   Made bodies::samplePointInside() const. (#133 <https://github.com/ros-planning/geometric_shapes/issues/133>)
  * [fix]     Throw runtime exception when a shape or body should have a negative dimension. (#106 <https://github.com/ros-planning/geometric_shapes/issues/106>)
  * [maint]   Prefer std::make_shared (#116 <https://github.com/ros-planning/geometric_shapes/issues/116>)
  * [maint]   clang-tidy fixes (#114 <https://github.com/ros-planning/geometric_shapes/issues/114>)
  * [fix]     Use covariant returns for clone() (#102 <https://github.com/ros-planning/geometric_shapes/issues/102>)
  * [feature] Added bodies::Body::computeBoundingBox (aligned box version). (#104 <https://github.com/ros-planning/geometric_shapes/issues/104>)
  * [maint]   Windows compatibility: fix ASSIMP libraries path (#101 <https://github.com/ros-planning/geometric_shapes/issues/101>)
  * [fix]     Body::containsPoint(): always include surface points (#97 <https://github.com/ros-planning/geometric_shapes/issues/97>)
  * Contributors: Martin Pecka, Alejandro Hernández Cordero, Bryce Willey, Michael Görner, Mike Lautman, Robert Haschke, RoboticsYY, Sean Yen, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Fri, 01 May 2020 16:00:00 -0000

ros-jazzy-geometric-shapes (0.6.1-1bookworm) bookworm; urgency=high

  * Limit minimum number of cylinder vertices (on circumference) to 6 (#92 <https://github.com/ros-planning/geometric_shapes/issues/92>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#88 <https://github.com/ros-planning/geometric_shapes/issues/88>)
  * Contributors: Robert Haschke, eisoku9618

 -- Tyler Weaver <tyler@picknik.ai>  Sat, 08 Dec 2018 16:00:00 -0000

ros-jazzy-geometric-shapes (0.6.0-1bookworm) bookworm; urgency=high

  * Add method getPlanes and use double precision for planes (#82 <https://github.com/ros-planning/geometric_shapes/issues/82>)
  * Contributors: Bence Magyar

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 13 May 2018 16:00:00 -0000

ros-jazzy-geometric-shapes (0.5.4-1bookworm) bookworm; urgency=high

  * gracefully handle negative cylinder height: #64 <https://github.com/ros-planning/geometric_shapes/issues/64>, #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * clang-formatting of whole repo: #79 <https://github.com/ros-planning/geometric_shapes/issues/79>
  * operator<< for ShapeType: #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * adaption to new CONSOLE_BRIDGE_logXXX API: #75 <https://github.com/ros-planning/geometric_shapes/issues/75>, #72 <https://github.com/ros-planning/geometric_shapes/issues/72>
  * [fix] box-ray intersection: #73 <https://github.com/ros-planning/geometric_shapes/issues/73>
  * Contributors: Dave Coleman, Leroy Rügemer, Malcolm Mielle, Mike Purvis, Robert Haschke, Michael Goerner

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 05 Apr 2018 16:00:00 -0000

ros-jazzy-geometric-shapes (0.5.3-1bookworm) bookworm; urgency=high

  * [enhance] Add warning about common Assimp bug (#63 <https://github.com/ros-planning/geometric_shapes/issues/63>)
  * [maintenance] Update maintainers (#66 <https://github.com/ros-planning/geometric_shapes/issues/66>)
  * Contributors: Dave Coleman

 -- Tyler Weaver <tyler@picknik.ai>  Sat, 25 Nov 2017 16:00:00 -0000

ros-jazzy-geometric-shapes (0.5.2-1bookworm) bookworm; urgency=high

  * [fix] mesh with too many vertices (#39 <https://github.com/ros-planning/geometric_shapes/issues/39>) (#60 <https://github.com/ros-planning/geometric_shapes/issues/60>)
  * [fix] gcc6 build error (#56 <https://github.com/ros-planning/geometric_shapes/issues/56>)
  * [fix] Clear root transformation on imported Collada meshes. #52 <https://github.com/ros-planning/geometric_shapes/issues/52>
  * [improve] relax mesh containment test (#58 <https://github.com/ros-planning/geometric_shapes/issues/58>)
  * [maintenance] Switch boost::shared_ptr to std::shared_ptr. #57 <https://github.com/ros-planning/geometric_shapes/pull/57>
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Lukas Bulwahn, Maarten de Vries, Michael Goerner

 -- Tyler Weaver <tyler@picknik.ai>  Wed, 19 Oct 2016 16:00:00 -0000

ros-jazzy-geometric-shapes (0.5.1-1bookworm) bookworm; urgency=high

  * add c++11 safe-guards to the respective headers (#51 <https://github.com/ros-planning/geometric_shapes/issues/51>)
    This is, to be polite and point problems that might arise it out to users.
  * Fix incorrect hint always sent to Assimp, improved STL reading (#24 <https://github.com/ros-planning/geometric_shapes/issues/24>)
  * Contributors: Dave Coleman, Michael Görner

 -- Tyler Weaver <tyler@picknik.ai>  Mon, 22 Aug 2016 16:00:00 -0000

ros-jazzy-geometric-shapes (0.5.0-1bookworm) bookworm; urgency=high

  * [fix] append cmake module path instead of prepending (#22 <https://github.com/ros-planning/geometric_shapes/issues/22>)
  * [fix] FindQhull with non-debian systems (#30 <https://github.com/ros-planning/geometric_shapes/issues/30>). See https://github.com/PointCloudLibrary/pcl/pull/852
  * [sys] Use std::shared_ptr for compatibility with FCL 0.5. #47 <https://github.com/ros-planning/geometric_shapes/issues/47>
  * [sys] Switch to eigen 3 (#46 <https://github.com/ros-planning/geometric_shapes/issues/46>)
  * [sys] Switched to C++11 #44 <https://github.com/ros-planning/geometric_shapes/issues/44>
  * [sys] add notice that project will be built in Release mode
  * [sys] Remove link_directories, deprecated assimp code
  * Contributors: Dave Coleman, Ioan A Sucan, Jochen Sprickerhof, Maarten de Vries, Michael Goerner

 -- Tyler Weaver <tyler@picknik.ai>  Sat, 30 Jul 2016 16:00:00 -0000

ros-jazzy-geometric-shapes (0.4.4-1bookworm) bookworm; urgency=high

  * Merge pull request #37 <https://github.com/ros-planning/geometric_shapes/issues/37> from corot/indigo-devel
    Fix issue #28 <https://github.com/ros-planning/geometric_shapes/issues/28> on small radius cylinders
  * Contributors: Dave Coleman, Jorge Santos Simon

 -- Tyler Weaver <tyler@picknik.ai>  Sat, 05 Mar 2016 16:00:00 -0000

ros-jazzy-geometric-shapes (0.4.3-1bookworm) bookworm; urgency=high

  * add functions for better display of convex meshes
  * produce actual triangles for qhull mesh
  * Fixed inverted scale for convex meshes inside check
  * Contributors: Christian Dornhege, Michael Ferguson

 -- Tyler Weaver <tyler@picknik.ai>  Wed, 29 Apr 2015 16:00:00 -0000

ros-jazzy-geometric-shapes (0.4.2-1bookworm) bookworm; urgency=high

  * PR #32 <https://github.com/ros-planning/geometric_shapes/issues/32>
    Merge shape_tools package into geometric shapes
  * PR #33 <https://github.com/ros-planning/geometric_shapes/issues/33>
    Add run_depend on visualization_msgs
  * PR #26 <https://github.com/ros-planning/geometric_shapes/issues/26>
    Prevent every mesh generation opening a new file handle.
  * Contributors: Christian Dornhege, Dave Coleman, Jochen Sprickerhof, Michael Ferguson, Steven Peters

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 21 Apr 2015 16:00:00 -0000

ros-jazzy-geometric-shapes (0.4.1-1bookworm) bookworm; urgency=high

  * update distro for travis testing. precise:=trusty
  * update to use debian console_bridge dependency. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Ioan A Sucan, Tully Foote

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 06 Jul 2014 16:00:00 -0000

ros-jazzy-geometric-shapes (0.4.0-1bookworm) bookworm; urgency=high

  * update usage of console_bridge to deal with version in Trusty
  * Merge pull request #13 <https://github.com/ros-planning/geometric_shapes/issues/13> from ros-planning/testing-in-travis
    Run local and moveit_core tests in Travis builds.
  * Merge pull request #18 <https://github.com/ros-planning/geometric_shapes/issues/18> from dirk-thomas/hydro-devel
    fix configure config.h.in when paths contain spaces fix #9 <https://github.com/ros-planning/geometric_shapes/issues/9>
  * Run local and moveit_core tests in Travis builds.
  * Contributors: Acorn, Dave Hershberger, Dirk Thomas, Ioan A Sucan, William Woodall

 -- Tyler Weaver <tyler@picknik.ai>  Mon, 23 Jun 2014 16:00:00 -0000

ros-jazzy-geometric-shapes (0.3.8-1bookworm) bookworm; urgency=high

  * fix how we find eigen
  * Contributors: Ioan Sucan

 -- Tyler Weaver <tyler@picknik.ai>  Mon, 24 Feb 2014 16:00:00 -0000

ros-jazzy-geometric-shapes (0.3.7-1bookworm) bookworm; urgency=high

  * add build dep so we can find eigen, build fixes
  * Contributors: Ioan A Sucan, Scott K Logan

 -- Tyler Weaver <tyler@picknik.ai>  Sat, 22 Feb 2014 16:00:00 -0000

ros-jazzy-geometric-shapes (0.3.6-1bookworm) bookworm; urgency=high

  * Use assimp-dev dep for building
  * Remove stray IS_ASSIMP3 define
  * Invert Assimp version detect logic for greater accuracy
  * Better feature detection for assimp version
  * added travis support
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Dave Hershberger, Ioan A Sucan, Lukas Bulwahn, Scott K Logan

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 30 Jan 2014 16:00:00 -0000

ros-jazzy-geometric-shapes (0.3.5-1bookworm) bookworm; urgency=high

  * Fix syntax error.
  * white space fixes (tabs are now spaces)
  * add comments for shape definitions

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 22 Sep 2013 16:00:00 -0000


